#include "defines.h"
#include "astring.h"

void strmfn32(unchar *path,unchar *drv,unchar *dir,unchar *fname,unchar *ext)
// FAT32対応ファイル名要素結合
// drv=LUN ID:		後ろの':'は必須
// dir=\dir1\dir2	後ろの'\'はなくても良い（但し、ルートは除く）
//			dir[0]=0のときはdir="\\"とみなす
// fname=fname
// ext=ext		'.'はなくても良い
{
	// ドライブ
	while (*path=*drv++) path++;
	// pathはEOSの位置
	
	// ディレクトリ
	while (*path=*dir++) path++;
	if (*(path-1)!='\\') *path++='\\';
	
	// ファイル名
	while (*path=*fname++) path++;
	
	// 拡張子
	if (*ext!=0) {
		if (*ext!='.') *path++='.';
		while (*path++=*ext++);
	}
}
